Subject: Re: [spring] CRH is not needed - Re: How CRH support SFC/Segment Endpoint option?

From: 刘毅松 <[email-masked]>
Date: Wed, 27 May 2020 20:42:51 +0800

Hi  

As an operator,  I think the network programming capabilities provided by SRv6 are exactly what we need. Last year SRv6 was deployed for test on China Mobile network in some provinces. There are several solutions now working on header compression to reduce the overhead of message transmission, for example, G-SRv6 for Compression [https://tools.ietf.org/html/draft-cl-spring-generalized-srv6-for-cmpr-01] . CRH is just one of these solutions and it is a mapping table-based solution. It inherits all the characteristics of a “mapping table” based solution, including scaling.

Thanks

Yisong

发件人: ipv6 <[email-masked]> 代表 James Guichard
发送时间: 2020年5月27日 01:27
收件人: Andrew Alston <[email-masked]>; Mach Chen <[email-masked]>; Zafar Ali (zali) <zali=[email-masked]>; Ron Bonica <rbonica=[email-masked]>; Chengli (Cheng Li) <[email-masked]>; 6man <[email-masked]>; [email-masked]
主题: RE: CRH is not needed - Re: How CRH support SFC/Segment Endpoint option?

Hi Andrew,

Some of your comments about SRv6 are a little subjective.

1.	You say SRv6 is complex and yet in its basic form it is simply a list of IPv6 addresses carried in a routing header which does not seem too difficult to understand especially in light of the fact that with CRH I have essentially the same thing albeit with another level of indirection to resolve the mappings.
2.	You say SRv6 has massive overhead and yet there are several proposals in which that overhead can be compressed without having to implement a mapping system to resolve the indirection.
3.	The overloading the IPv6 address space comment seems at best subjective given that the IPv6 address in the DA field for SRv6 on the wire looks no different than any other IPv6 packet; the fact that some router in the network locally defines a set of instructions to execute upon receipt of a packet using that IPv6 address is a local affair and of no particular concern to any other router. The same logic applies to things like policy-based routing where a router can implement some policy to direct a packet on a different path that no router upstream is aware of. 
4.	Given the long and quite exhausting email thread on violation of RFC8200 it is apparent that not everyone agrees with you on this point and in fact I would go as far as to say the current text is pretty clear from an English language point of view that I find it interesting how many different interpretations have sprung up.
5.	Network programming is a tool (that you are free to use or not) to enable innovation through locally defined instructions; again, how is this over engineered and if it is over engineered how can it also be inflexible? Seem to me that the complete opposite is true.

Thanks!

Jim

From: spring <[email-masked] <mailto:[email-masked]> > On Behalf Of Andrew Alston
Sent: Tuesday, May 26, 2020 7:59 AM
To: Mach Chen <[email-masked] <mailto:[email-masked]> >; Zafar Ali (zali) <zali=[email-masked] <mailto:zali=[email-masked]> >; Ron Bonica <rbonica=[email-masked] <mailto:rbonica=[email-masked]> >; Chengli (Cheng Li) <[email-masked] <mailto:[email-masked]> >; 6man <[email-masked] <mailto:[email-masked]> >; [email-masked] <mailto:[email-masked]> 
Subject: Re: [spring] CRH is not needed - Re: How CRH support SFC/Segment Endpoint option?

Speaking as an operator that operates in 15 countries – yes – yes and yes again.

SRv6 will never find a home on our network – it is complex, it has massive overhead, it overloads the address space in ways that make me cringe, it currently (in my view) violates RFC8200, the network programming draft is so overengineered that it is entirely inflexible – where as CRH – is simple, it gives me exactly what we need, it is a building block to many other things in the pipe line, and it has been tested and is functional.

I will not begrude anyone who wants to run SRv6 – each to his own – but as an operator – I 100% want CRH – and I 100% do not believe that SRv6 is in any way shape or form an alternative to it – or something that I will ever run across any of the countries we operate in.

Thanks

Andrew

Do we really want this?

My two cents.

Best regards,

Mach

From: ipv6 [mailto:[email-masked]] On Behalf Of Zafar Ali (zali)
Sent: Tuesday, May 26, 2020 3:02 PM
To: Ron Bonica <rbonica=[email-masked] <mailto:rbonica=[email-masked]> >; Chengli (Cheng Li) <[email-masked] <mailto:[email-masked]> >; 6man <[email-masked] <mailto:[email-masked]> >; [email-masked] <mailto:[email-masked]> 
Subject: CRH is not needed - Re: How CRH support SFC/Segment Endpoint option?

Hi, 

It appears that some may have misunderstood the SRv6 solution and invented CRH. 

It is good to clarify these points. 

SRv6 offers the possibility to combine underlay and overlay instructions in a single SRH. 

However, 

*       This is entirely optional

*       If one would like to spread the source routed policy between multiple extension headers, one can use SRv6 to do this

o   SRH to hold the topological endpoints

o   Any combination of other extension headers to hold VPN and/or Service information. For example, SRH works seamlessly with NSH as documented in a WG document https://tools.ietf.org/html/draft-ietf-spring-nsh-sr-02 <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-ietf-spring-nsh-sr-02&data=02%7C01%7Cjames.n.guichard%40futurewei.com%7Cd9fae6e4cd674180ef6c08d8016c6b3b%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637260912479599089&sdata=URxBgQ0Z4vJb54I04o4JXoFo%2BnGET6jjQzkH9gFWqms%3D&reserved=0> . 

Claiming that a new data plane is needed to achieve this separation is false.

Claiming that CRH is needed to decrease the overhead of source-routed policy in IPv6 is incorrect, too. Many members of the SPRING working group have produced documents to extend the SRv6 solution for the specific purpose of minimizing the MTU overhead and/or supporting very long SID-lists on legacy hardware. 

Also, CRH is just a re-engineering of SR-MPLS Data Plane with IPv6 Control Plane [RFC8663] and RFC8663 is an already productized, deployed, proven, and standardized solution.  

6man took 6 years to define SRH. The 6man WG spent a lot of efforts (1000s of email, dozens of document revision, dozens of IETF presentations, control plan work that is adopted by multiple workgroups, etc.). 

There is no need to define a new data plane, new control plane and associated management plane for the same purpose the IETF across multiple areas has worked for years.

Thanks

Regards … Zafar 

From: ipv6 < <mailto:[email-masked]> [email-masked]> on behalf of Ron Bonica < <mailto:rbonica=[email-masked]> rbonica=[email-masked]>
Date: Friday, May 22, 2020 at 10:17 AM
To: "Chengli (Cheng Li)" < <mailto:[email-masked]> [email-masked]>, 6man < <mailto:[email-masked]> [email-masked]>, " <mailto:[email-masked]> [email-masked]" < <mailto:[email-masked]> [email-masked]>
Cc: " <mailto:[email-masked]> [email-masked]" < <mailto:[email-masked]> [email-masked]>
Subject: RE: How CRH support SFC/Segment Endpoint option?

Cheng,

The sole purpose of a Routing header is to steer a packet along a specified path to its destination. It shouldn’t attempt to do any more than that.

The CRH does not attempt to deliver service function information to service function instances. However, it is compatible with:

-          The Network Service Header (NSH)

-          The Destination Options header that precedes the Routing header

Both of these can be used to deliver service function information to service function instances.

                                                                                                                     Ron

Juniper Business Use Only

From: Chengli (Cheng Li) <[email-masked] <mailto:[email-masked]> > 
Sent: Friday, May 22, 2020 2:56 AM
To: 6man <[email-masked] <mailto:[email-masked]> >; [email-masked] <mailto:[email-masked]> ; Ron Bonica <[email-masked] <mailto:[email-masked]> >
Cc: [email-masked] <mailto:[email-masked]> 
Subject: How CRH support SFC/Segment Endpoint option?

[External Email. Be cautious of content]

Hi Ron,

When reading the CRH draft, I have a question about how CRH support SFC?

For example, we have a SID List [S1, S2, S3, S4, S5], and S3 is a SFC related SID, how to indicate that? By PSSI? [1]

But how to know which segment endpoint node/egress node should process this PSSI? At the beginning of the SRm6 design, this is described in [2]. But you deleted the containers [2]. 

Without that, I don’t really understand how SFC can be supported.

Best,

Cheng

[1]. https://tools.ietf.org/html/draft-bonica-spring-sr-mapped-six-01#section-4.1 <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Furldefense.com%2Fv3%2F__https%3A%2Ftools.ietf.org%2Fhtml%2Fdraft-bonica-spring-sr-mapped-six-01*section-4.1__%3BIw!!NEt6yMaO-gk!UD4vf0darQ9cskFhH1fJ9jwZJ-nIciQxgVnf1219YuyyaNcgvNdRUdkjwP15i-Xa%24&data=02%7C01%7Cjames.n.guichard%40futurewei.com%7Cd9fae6e4cd674180ef6c08d8016c6b3b%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637260912479599089&sdata=BToX91XT%2BlfL5xVfXbDTnE8Nt0%2F8x0PGbKx8mNd1UEY%3D&reserved=0> 

[2]. https://tools.ietf.org/rfcdiff?url2=draft-bonica-6man-seg-end-opt-04.txt <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Furldefense.com%2Fv3%2F__https%3A%2Ftools.ietf.org%2Frfcdiff%3Furl2%3Ddraft-bonica-6man-seg-end-opt-04.txt__%3B!!NEt6yMaO-gk!UD4vf0darQ9cskFhH1fJ9jwZJ-nIciQxgVnf1219YuyyaNcgvNdRUdkjwNmXwyHT%24&data=02%7C01%7Cjames.n.guichard%40futurewei.com%7Cd9fae6e4cd674180ef6c08d8016c6b3b%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637260912479609080&sdata=AquUOTV8I2X86h97RnCgdz0kx6x47Yt6FUrsADofsnU%3D&reserved=0> .